class ListsController < ApplicationController
  def show
    @inbox_items = client.get_list_items("Inbox")
    @dev_items = client.get_list_items("Development")
  end

  def add_task
    list = client.get_tasklist("Development")
    task = { :'todo-item' => { :content => params[:task][:title], :description => params[:task][:description] }} 
    response = client.add_task_to_list(task, list['id'])
    
    if response.status == 201
      redirect_to '/lists'
    else
      logger.info "Unable to add task to list."
    end
  end

  protected

    def client
      AflTeamwork::Client.new(AflTeamwork.configuration.teamwork_name, AflTeamwork.configuration.teamwork_api_key)
    end
end