require "afl_teamwork/version"
require 'afl_teamwork/client'

module AflTeamwork
  class << self
    attr_accessor :logger
    attr_accessor :configuration
  end

  def self.configure
    self.configuration ||= Configuration.new
    yield(configuration)
  end

  def self.logger
    @logger ||= Logger.new($stdout).tap do |log|
      log.progname = self.name
    end
  end

  class Configuration
    attr_accessor :teamwork_name
    attr_accessor :teamwork_api_key
    attr_accessor :project_id

    def initialize
      @teamwork_name = "teamwork-name"
      @teamwork_api_key = "xxx"
      @project_id = "123456"
    end
  end
end
